MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::PsiExEnv Class Reference

PsiExEnv specifies a Psi calculation. More...

`#include <psiexenv.h>`

Inheritance diagram for sc::PsiExEnv:

List of all members.

## Public Member Functions

| PsiExEnv (const Ref< KeyVal > &)
| PsiExEnv (char *cwd, char *fileprefix, int nscratch, char **scratch)
Ref< PsiInput > | get_psi_input () const
| Returns the PsiInput object which PsiExEnv uses.
Ref< PsiFile11 > | get_psi_file11 () const
| Returns the PsiFile11 object which PsiExEnv uses.
int | run_psi ()
| Executes Psi input+driver.
int | run_psi_module (char *)
| Executes a Psi module.
string | get_cwd () const
| Returns current working directory.
string | get_fileprefix () const
| Returns the Psi file prefix.
int | get_nscratch () const
| Returns the number of scratch locations.
string | get_scratch (int i) const
| Returns the ith scratch location.
void | print (std::ostream &o=ExEnv::out0()) const
| Print the object.

## Detailed Description

PsiExEnv specifies a Psi calculation.

The documentation for this class was generated from the following file:

- psiexenv.h